﻿@{
    ViewBag.Title = "Index";
    string FacebookApplicationID = Settings.GetValueByKey(LoyaltyPointEngine.Common.SiteSetting.FacebookApplicationID);    
}
<!--=== Page Header ===-->
<div class="page-header">
    <div class="page-title">
        <h3>POST FACEBOOK</h3>
    </div>

    <!-- Page Stats -->
    <ul class="page-stats">
        <li>
            <a href="javascript:void(0)" class="btn btn-icon input-block-level" id="btn-synch-fb-post">
                <i class="icon-facebook"></i>
                <div>Synch Post</div>
            </a>
        </li>
    </ul>
    <!-- /Page Stats -->
</div>
<!-- /Page Header -->
<div class="row">
    <div class="col-md-12">
        <div class="widget">
            <div class="widget-header">
                <h4><i class="icon-reorder"></i>All Post</h4>
            </div>
            <div class="right-title">
                @using (Html.BeginForm(null, null, null, FormMethod.Post, new { id = "gridSeachPost", Action = "form" }))
                {
                    <input type="text" id="txtSearch" name="txtSearch" class="form-control box-search" placeholder="Search for...">
                    <button class="hidden" type="submit"></button>
                }

            </div>
            <div class="widget-content">
                @Html.Action("GridGetAllPost")
            </div>
            <!-- .box-content -->

        </div>
        <!-- .box -->

    </div>
</div>
@section FooterScript{
    <script>
        (function () {
            var gridName = 'AllFacebookPost';
            var pagingUrl = '@Url.Action(MVC.Facebook.GridGetAllPostPager())';

            $('.grid-mvc').gridmvc();
            pageGrids[gridName].ajaxify({
                getData: pagingUrl,
                getPagedData: pagingUrl,
                gridFilterForm: $('#gridSeachPost')
            });
        }())
    </script>
    <script src="@Links.Assets.assets.js.Facebook.Post_js?v1"></script>
    <script>
        var PostController = new PostController();
        $(document).bind('fbInit', function () {
            PostController.url_api = '@Url.Action(MVC.Facebook.PopulatePostFromFacebook())';
            PostController.Initialize();
        });
    </script>
}

@section BodyScript{

    <script>
        window.fbAsyncInit = function () {
            FB.init({
                appId: '@FacebookApplicationID',
                  xfbml: true,
                  version: 'v2.7'
              });
              $(document).trigger('fbInit');
          };

          (function (d, s, id) {
              var js, fjs = d.getElementsByTagName(s)[0];
              if (d.getElementById(id)) { return; }
              js = d.createElement(s); js.id = id;
              js.src = "//connect.facebook.net/en_US/sdk.js";
              fjs.parentNode.insertBefore(js, fjs);
          }(document, 'script', 'facebook-jssdk'));
    </script>

}